Bug 9029 - Replication with --domain-crictical-only fails to fill in backlinks
Replication with --domain-crictical-only fails to fill in backlinks
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0 beta3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
samba4-qa@samba.org
:
Depends on: 10056
Blocks: 9306
  Show dependency treegraph
 
Reported: 2012-07-06 11:52 UTC by Andrew Bartlett
Modified: 2013-08-07 09:07 UTC (History)
1 user (show)

See Also:


Attachments
4.1 patch cherry-picked from master (27.67 KB, patch)
2013-07-30 21:51 UTC, Andrew Bartlett
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2012-07-06 11:52:36 UTC
Backlinks on non-critical objects are not filled in when only the critical objects are replicated at join time.

This is seen in make test, and shown by dbcheck on vampire_dc



[8/9 in 5m18s] samba4.blackbox.dbcheck(vampire_dc)
UNEXPECTED(failure): samba4.blackbox.dbcheck(vampire_dc).dbcheck(vampire_dc:local)
REASON: _StringException: _StringException: Checking 3434 objects
ERROR: missing backlink attribute 'memberOf' in CN=S-1-5-11,CN=ForeignSecurityPrincipals,DC=samba,DC=example,DC=com for link member in CN=Pre-Windows 2000 Compatible Access,CN=Builtin,DC=samba,DC=example,DC=com
Not fixing missing backlink memberOf
ERROR: missing backlink attribute 'memberOf' in CN=S-1-5-9,CN=ForeignSecurityPrincipals,DC=samba,DC=example,DC=com for link member in CN=Windows Authorization Access Group,CN=Builtin,DC=samba,DC=example,DC=com
Not fixing missing backlink memberOf
ERROR: missing backlink attribute 'memberOf' in CN=S-1-5-17,CN=ForeignSecurityPrincipals,DC=samba,DC=example,DC=com for link member in CN=IIS_IUSRS,CN=Builtin,DC=samba,DC=example,DC=com
Not fixing missing backlink memberOf
ERROR: missing backlink attribute 'memberOf' in CN=S-1-5-11,CN=ForeignSecurityPrincipals,DC=samba,DC=example,DC=com for link member in CN=Users,CN=Builtin,DC=samba,DC=example,DC=com
Not fixing missing backlink memberOf
ERROR: missing backlink attribute 'memberOf' in CN=S-1-5-4,CN=ForeignSecurityPrincipals,DC=samba,DC=example,DC=com for link member in CN=Users,CN=Builtin,DC=samba,DC=example,DC=com
Not fixing missing backlink memberOf
Please use --fix to fix these errors
Checked 3434 objects (5 errors)
command: PYTHON=python /data/samba-2/testprogs/blackbox/dbcheck.sh $PREFIX/provision --configfile=$SMB_CONF_PATH 2>&1 | /data/samba-2/selftest/filter-subunit --fail-on-empty --prefix="samba4.blackbox.dbcheck(vampire_dc)." --suffix="(vampire_dc:local)"
expanded command: PYTHON=python /data/samba-2/testprogs/blackbox/dbcheck.sh ./st/provision --configfile=/data/samba-2/st/vampire_dc/etc/smb.conf 2>&1 | /data/samba-2/selftest/filter-subunit --fail-on-empty --prefix="samba4.blackbox.dbcheck(vampire_dc)." --suffix="(vampire_dc:local)"
ERROR: Testsuite[samba4.blackbox.dbcheck(vampire_dc)]
REASON: Exit code was 1

A knownfail will be added, but we should fix this up.
Comment 1 Andrew Bartlett 2012-07-06 11:53:13 UTC
Metze,

You added the domain critical only replication, can you look into fixing this?

Thanks,
Comment 2 Matthieu Patou 2012-12-28 06:25:28 UTC
Is the target object of the backlink created at least ?
Comment 3 Andrew Bartlett 2013-06-27 08:46:33 UTC
This works with my fix-drs-testing-23 branch with:

 dsdb: Improve DRS deleted link source/target handing in repl_meta_data
Comment 4 Andrew Bartlett 2013-07-30 21:51:26 UTC
Created attachment 9090 [details]
4.1 patch cherry-picked from master

This is finally fixed in master, and this is the backport to 4.1.  In master, this is based on other dsdb patches, so for safety I have added those in their own bug, and made this depend on that.
Comment 5 Stefan Metzmacher 2013-07-31 14:42:15 UTC
=> Karolin please pick this to 4.1 after bug #10056

Andrew, I think we also need this for 4.0...
Comment 6 Karolin Seeger 2013-08-05 17:57:30 UTC
Pushed to autobuild-v4-1-test.
Comment 7 Karolin Seeger 2013-08-07 09:07:01 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!